<?php

namespace Laraecart\Filter;

use User;

class Filter
{
    /**
     * $filter object.
     */
    protected $filter;
    /**
     * $filter_group object.
     */
    protected $filter_group;

    /**
     * Constructor.
     */
    public function __construct(\Laraecart\Filter\Interfaces\FilterRepositoryInterface $filter,
        \Laraecart\Filter\Interfaces\FilterGroupRepositoryInterface $filter_group)
    {
        $this->filter = $filter;
        $this->filter_group = $filter_group;
    }

    /**
     * Returns count of filter.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.filter.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->filter->pushCriteria(new \Litepie\Laraecart\Repositories\Criteria\FilterUserCriteria());
        }

        $filter = $this->filter->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('filter::' . $view, compact('filter'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.filter_group.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->filter_group->pushCriteria(new \Litepie\Laraecart\Repositories\Criteria\FilterGroupUserCriteria());
        }

        $filter_group = $this->filter_group->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('filter::' . $view, compact('filter_group'))->render();
    }
}
