<?php

namespace Laraecart\Filter\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Filter policy
        'Laraecart\Filter\Models\Filter' => \Laraecart\Filter\Policies\FilterPolicy::class,
// Bind FilterGroup policy
        'Laraecart\Filter\Models\FilterGroup' => \Laraecart\Filter\Policies\FilterGroupPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
