<?php

namespace Laraecart\Filter\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class FilterGroupTransformer extends TransformerAbstract
{
    public function transform(\Laraecart\Filter\Models\FilterGroup $filter_group)
    {
        return [
            'id'                => $filter_group->getRouteKey(),
            'key'               => [
                'public'    => $filter_group->getPublicKey(),
                'route'     => $filter_group->getRouteKey(),
            ], 
            'id'                => $filter_group->id,
            'name'              => $filter_group->name,
            'slug'              => $filter_group->slug,
            'sort_order'        => $filter_group->sort_order,
            'user_id'           => $filter_group->user_id,
            'user_type'         => $filter_group->user_type,
            'created_at'        => $filter_group->created_at,
            'updated_at'        => $filter_group->updated_at,
            'deleted_at'        => $filter_group->deleted_at,
            'url'               => [
                'public'    => trans_url('filter/'.$filter_group->getPublicKey()),
                'user'      => guard_url('filter/filter_group/'.$filter_group->getRouteKey()),
            ], 
            'status'            => trans('app.'.$filter_group->status),
            'created_at'        => format_date($filter_group->created_at),
            'updated_at'        => format_date($filter_group->updated_at),
        ];
    }
}