<?php

namespace Laraecart\Filter\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class FilterTransformer extends TransformerAbstract
{
    public function transform(\Laraecart\Filter\Models\Filter $filter)
    {
        return [
            'id'                => $filter->getRouteKey(),
            'key'               => [
                'public'    => $filter->getPublicKey(),
                'route'     => $filter->getRouteKey(),
            ], 
            'id'                => $filter->id,
            'parent_id'         => $filter->parent_id,
            'name'              => $filter->name,
            'sort_order'        => $filter->sort_order,
            'user_id'           => $filter->user_id,
            'user_type'         => $filter->user_type,
            'created_at'        => $filter->created_at,
            'updated_at'        => $filter->updated_at,
            'deleted_at'        => $filter->deleted_at,
            'url'               => [
                'public'    => trans_url('filter/'.$filter->getPublicKey()),
                'user'      => guard_url('filter/filter/'.$filter->getRouteKey()),
            ], 
            'status'            => trans('app.'.$filter->status),
            'created_at'        => format_date($filter->created_at),
            'updated_at'        => format_date($filter->updated_at),
        ];
    }
}